foreman deployment module doesn't work with puppet enterprise
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

Many of the assumptions that worked just fine before will not work when puppet enterprise is installed.  This is due to the fact that

ruby is now installed

under /opt/puppet/lib.

I will try and go through this and make some corrections but it may need to but forked into a PE module.

:::::::::::::

reports.pp

::::::::::::::

# please follow the instructions at: http://theforeman.org/wiki/foreman/Puppet_Reports

class foreman::reports {

  # directory where your puppet is installed

  $puppet_basedir = $operatingsystem ? {

    default => "/usr/lib/ruby/1.8/puppet",

    "CentOs" => "/usr/lib/ruby/site_ruby/1.8/puppet",

    "RedHat" => "/usr/lib/ruby/site_ruby/1.8/puppet",

  }

History

#1 - 05/04/2011 07:39 AM - Ohad Levy

- Tracker changed from Bug to Support

- Project changed from Foreman to Installer

#2 - 10/20/2011 02:10 PM - Ohad Levy

recent modifications now allow the user to define the paths for in the params file.

#3 - 06/17/2012 06:58 AM - Ohad Levy

- Status changed from New to Closed
